#ifndef ROW_HPP_
#define ROW_HPP_

#include <Widget/Layout/Layout.hpp>

/**
 * @brief A row layout which lays children out in a row.
 */
class Row : public Layout
{
public:
    template<typename... TChildren>
    Row(TChildren... children) : Layout(children...) {}

    virtual void layout() override;
    virtual glm::ivec2 getMinSize() override;
};

#endif